Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# StringBuffer Class Reference
[Unicode core]

Inheritance diagram for StringBuffer:

## Detailed Description

Unicode growable StringBuffer.

## Public Member Functions
| StringBuffer ()
| Creates empty string buffer.
| StringBuffer (int alloc)
| Creates empty string buffer.
| StringBuffer (const char *string, int s=0, int l=-1)
| Creates string buffer with `string`.
| StringBuffer (const String *cstring, int s=0, int l=-1)
| Creates string buffer with `string`.
| StringBuffer (const String &cstring, int s=0, int l=-1)
| Creates string buffer with `string`.
| ~StringBuffer ()
| Destructor.
void | setLength (int newLength)
| Changes the length of this StringBuffer.
StringBuffer & | append (const String &string)
| Appends to this string buffer `string`.
StringBuffer & | append (const String *string)
| Appends to this string buffer `string`.
StringBuffer & | append (wchar c)
| Appends to this string buffer `string`.
StringBuffer & | operator+ (const String &string)
| Appends to this string buffer `string`.
StringBuffer & | operator+ (const String *string)
| Appends to this string buffer `string`.
StringBuffer & | operator+ (const char *string)
| Appends to this string buffer `string`.
StringBuffer & | operator+= (const String &string)
| Appends to this string buffer `string`.
StringBuffer & | operator+= (const char *string)
| Appends to this string buffer `string`.

## Member Function Documentation

StringBuffer & StringBuffer::operator+ | ( | const String & | string | ) |

| Appends to this string buffer `string`. C++ operator+ form. You can write: yourcall(StringBuffer("first")+"second"+third);

StringBuffer & StringBuffer::operator+ | ( | const String * | string | ) |

| Appends to this string buffer `string`. C++ operator+ form.

StringBuffer & StringBuffer::operator+ | ( | const char * | string | ) |

| Appends to this string buffer `string`. C++ operator+ form.

StringBuffer & StringBuffer::operator+= | ( | const String & | string | ) |

| Appends to this string buffer `string`. C++ operator+= form.

StringBuffer & StringBuffer::operator+= | ( | const char * | string | ) |

| Appends to this string buffer `string`. C++ operator+= form.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.